## avifile 0.7.48~20090503.ds

=== debian/changelog ===
avifile (1:0.7.48~20090503.ds-13) unstable; urgency=low

  * Use --link-doc for documentation installation. (Closes: #700792)
    - Add preinst to remove real directory in libavifile-0.7c2

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 22 Feb 2013 14:47:49 +0800

avifile (1:0.7.48~20090503.ds-12) unstable; urgency=low

  * Add ftbfs-gcc4.7.patch to fix FTBFS by gcc-4.7 (Closes: #667107)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 09 May 2012 16:19:34 +0800

avifile (1:0.7.48~20090503.ds-11) unstable; urgency=low

  * Add libxt-dev to Build-Depends. Fix FTBFS on kfreebsd (Closes: #670450)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 01 May 2012 12:07:09 +0800

avifile (1:0.7.48~20090503.ds-10) unstable; urgency=low

  * Multi-Arch support
    - Use debhelper 9
    - Move common files to libavifile-0.7-common
    - Move toolkit to libavifile-0.7-bin
  * Bump Standards-Version to 3.9.3: nothing needs to be changed
  * Don't install vidix files. (Closes: #669516)
  * debian/copyright: use machine-readable 1.0 format

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 24 Apr 2012 02:11:21 +0800

avifile (1:0.7.48~20090503.ds-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove unnecessary build-dependency on libaudiofile-dev (Closes: #654737)

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 Jan 2012 15:16:03 +0100

avifile (1:0.7.48~20090503.ds-9) unstable; urgency=low

  * Add debian/patches/ftbfs-freebsd.patch: Fix FTBFS on FreeBSD platform

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 21 Dec 2011 14:43:25 +0800

avifile (1:0.7.48~20090503.ds-8) unstable; urgency=low

  * Adopt this package. (Closes: #540906)
  * clean empty package subdirectory.
  * debian/rules: not to build empty packages
  * debian/control: add version constraints on Break field
  * Bump Standards-Version to 3.9.2: nothing needs to be changed
  * Use DebHelper7 debian/rules

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 17 Dec 2011 17:22:27 +0800

avifile (1:0.7.48~20090503.ds-7) unstable; urgency=low

  * QA upload.
  * Really disable MAD

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 08 Sep 2011 21:36:24 +0200

avifile (1:0.7.48~20090503.ds-6) unstable; urgency=low

  * QA upload.
  * Fix build with libav 0.7 (Closes: #640151)
  * Drop build dep on libmad-dev, this was only used for the now removed
    avifile player.	

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 03 Sep 2011 18:34:42 +0200

avifile (1:0.7.48~20090503.ds-5) unstable; urgency=low

  * Add build dependency on libxi-dev, which was formerly pulled
    in indirectly (Closes: #639199)
  * Add Breaks on old player binaries (Closes: #639256)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 27 Aug 2011 15:11:53 +0200

avifile (1:0.7.48~20090503.ds-4) unstable; urgency=low

  * QA upload.
  * Build-depend on libjpeg-dev, not libjpeg62-dev (Closes: #633688)
  * Begin work on avifile depreaction. The library will be kept for now
    until the reverse deps have been cleared, but the player and utils 
    are being removed now. They have far better replacements in the 
    archive and are still actively maintained upstream. The removal
    closes a few bugs: 
    (Closes: #450633, #604343, #188495, #331038, #372547, #416448)
  * Fix compatibility with libav/0.7.1 (Closes: #638566)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 21 Aug 2011 15:12:06 +0200

avifile (1:0.7.48~20090503.ds-3) unstable; urgency=low

  * QA upload.
  * Fix FTBFS with GCC4.5 (Closes: #564868).
  * debian/control:
    - Fix duplicate-in-relation-field in avifile-win32-plugin
      depends: ${shlibs:Depends}.
    - Fix debhelper-but-no-misc-depends avifile-win32-plugin.

 -- Alessio Treglia <alessio@debian.org>  Fri, 06 May 2011 10:30:19 +0200

avifile (1:0.7.48~20090503.ds-2) unstable; urgency=low

  * QA upload.
  * debian/source/format: New file; switch to source format 3.0 (quilt).
  * Add DEP-3 headers to all patches.
  * debian/control (Build-Depends): Drop quilt.
  * debian/rules: Remove patch/unpatch logic.
  * debian/patches/no-lame.patch: Split from autotools.patch as it is
    Debian-specific.
  * debian/patches/ftbfs-ia64.patch: New; fixes FTBFS on ia64.
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 19 Nov 2009 14:39:52 +0200

avifile (1:0.7.48~20090503.ds-1) unstable; urgency=low

  * QA upload.
  * New upstream release/snapshot:
    + No longer adds -ldts to Libs in the .pc file (Closes: #492040).
    + Includes some portability fixes, crossing fingers that it'll build
    on more archs (Closes: #206467).
  * Repackage the upstream tarball, removing the embedded copy of LAME
    (Closes: #538753).  While here, kill also the bundled ffmpeg copy
    and /debian.
  * debian/compat: New file.
  * debian/control: Wrap all fields for diff-friendliness.  Add
    ${misc:Depends} to all binary packages' Depends.
    (Section): Change to `libs' to match the override.
    (Maintainer): The package is orphaned (#540906), set to the Debian QA
    Group.
    (Standards-Version): Claim compliance with 3.8.3 as of this release.
    (Build-Depends): Bump debhelper to >= 7.  Remove ancient version from
    libqt3-mt-dev.  Replace automake1.9 with automake.  Remove autoconf,
    always pulled in by automake.  Remove libdts-dev; not needed.  Remove
    redundant gettext and patch.  Remove alternative dependency on
    pnmtopng, merged ages ago into netpbm.  Add quilt, libavformat-dev,
    libxxf86dga-dev and libxxf86vm-dev.
    (Homepage): New field.
    (Conflicts, Replaces, Suggests): Remove -- the former ancient, the
    latter not needed.
    (Description): s/x86 Linux/GNU/ -- should work on GNU/kFreeBSD too,
    and eventually on more archs.  Remove Homepage(s).
    (libavifile-0.7-dev) <Depends>: Use ${binary:Version} instead of
    ${Source-Version}.  Remove libxft-dev, libxrender-dev and
    libfontconfig1-dev, not required by the .pc file.
    <Section>: Change to `libdevel'.

