=== debian/control ===
Source: avifile
Section: libs
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Standards-Version: 3.9.3
Build-Depends: automake,
               debhelper (>= 9),
               liba52-dev,
               libavformat-dev,
               libjpeg-dev,
               libogg-dev,
               libsdl1.2-dev,
               libtool,
               libvorbis-dev,
               libxft-dev,
               libxi-dev,
               libxt-dev,
               libxxf86dga-dev,
               libxxf86vm-dev,
               netpbm
Homepage: http://avifile.sf.net

Package: libavifile-0.7-common
Architecture: all
Section: misc
Depends: ${misc:Depends}
Replaces: libavifile-0.7c2 (<< 1:0.7.48~20090503.ds-10)
Breaks: libavifile-0.7c2 (<< 1:0.7.48~20090503.ds-10)
Multi-Arch: foreign
Description: toolkit for libavifile
 Library that allows programs to read and write compressed
 AVI files (Indeo Video, DivX ;-), etc.) under GNU.
 (De)Compression is performed with various audio/video plugins
 (FFMpeg, Vorbis, Win32, ...).
 Formats like mpeg, mov are partly supported.
 For more info about usage of Win32, Lame and OpenDivX plugin
 see README.debian.
 .
 This package contains the common files which libavifile needed.

Package: libavifile-0.7c2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libavifile-0.7-common, ${misc:Depends}, ${shlibs:Depends}
Breaks: avifile-divx-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-mad-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-mjpeg-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-player (<< 1:0.7.48~20090503.ds-5),
        avifile-utils (<< 1:0.7.48~20090503.ds-5),
        avifile-vorbis-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-win32-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-xvid-plugin (<< 1:0.7.48~20090503.ds-5)
Multi-Arch: same
Description: shared libraries for AVI read/writing
 Library that allows programs to read and write compressed
 AVI files (Indeo Video, DivX ;-), etc.) under GNU.
 (De)Compression is performed with various audio/video plugins
 (FFMpeg, Vorbis, Win32, ...).
 Formats like mpeg, mov are partly supported.
 For more info about usage of Win32, Lame and OpenDivX plugin
 see README.debian.

Package: libavifile-0.7-dev
Architecture: any
Section: libdevel
Depends: libavifile-0.7c2 (= ${binary:Version}), ${misc:Depends}
Breaks: avifile-divx-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-mad-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-mjpeg-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-player (<< 1:0.7.48~20090503.ds-5),
        avifile-utils (<< 1:0.7.48~20090503.ds-5),
        avifile-vorbis-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-win32-plugin (<< 1:0.7.48~20090503.ds-5),
        avifile-xvid-plugin (<< 1:0.7.48~20090503.ds-5),
        libavifile-0.7c2 (<< 1:0.7.48~20090503.ds-10)
Replaces: libavifile-0.7c2 (<< 1:0.7.48~20090503.ds-10)
Description: development header files for libavifile
 Contains the symlinks, headers and object files needed to compile
 and link programs which use aviplay library.

Package: libavifile-0.7-bin
Architecture: any
Section: misc
Depends: libavifile-0.7-common, ${misc:Depends}, ${shlibs:Depends}
Replaces: libavifile-0.7c2 (<< 1:0.7.48~20090503.ds-10)
Conflicts: libavifile-0.7c2 (<< 1:0.7.48~20090503.ds-10)
Description: toolkit for libavifile
 Library that allows programs to read and write compressed
 AVI files (Indeo Video, DivX ;-), etc.) under GNU.
 (De)Compression is performed with various audio/video plugins
 (FFMpeg, Vorbis, Win32, ...).
 Formats like mpeg, mov are partly supported.
 For more info about usage of Win32, Lame and OpenDivX plugin
 see README.debian.
 .
 This package contains the toolkit for libavifile.
