=== debian/watch ===
version=3
opts=dversionmangle=s/\.ds$// \
  http://sf.net/avifile/avifile-0.7-(.*)\.tar\.bz2
