## avifile 0.7.48%7e20090503.ds

=== debian/rules ===
--- 
+++ 
@@ -67,10 +67,7 @@
 
 override_dh_auto_install:
 	@echo ":: Preparing packages"
-	dh_auto_install -- pkgdocdir=/usr/share/doc/lib$(aviversion)-common
-	@rm -f debian/tmp/usr/share/doc/lib$(aviversion)-common/COPYING
-	@rm -f debian/tmp/usr/share/doc/lib$(aviversion)-common/ChangeLog
+	dh_auto_install -- pkgdocdir=/usr/share/doc/$(libraries)
+	@rm -f debian/tmp/usr/share/doc/$(libraries)/COPYING
+	@rm -f debian/tmp/usr/share/doc/$(libraries)/ChangeLog
 	@chmod a+x debian/tmp/usr/share/$(aviversion)/scripts/avicap-*
-
-override_dh_installdocs:
-	dh_installdocs --link-doc=libavifile-0.7-common
